
QGIS Application - Bug report #1806

QGIS crashes/has graphical "glitch" on Windows Vista 64bit

2009-07-25 10:10 PM - kumba -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11866

Description

I've been using QGIS lately on a Windows platform, Server 2008 converted to workstation mode (basically Windows Vista -- same

kernel).  Running 64bit OS, 8GB of RAM, ATI Video card, etc.  It seems QGIS isn't as stable on Windows as I hear it is on Linux,

however, I can't vouch for this as I don't have a Linux system with X installed (just commandline).

Anyways, the problem seems to mostly manifest itself when I am selecting roads by hand using the selection/lasso tool, using GIS data

from the Tigerline website (http://arcdata.esri.com/data/tiger2000/tiger_download.cfm), specifically in Maryland counties.  I typically

download four layers per-county: Roads, County 2000, Designated Places 2000, and Water polygons.  They are layered top-to-bottom as

Water, Borders (County 2000 with no fill, just outline), Designated Places, and County (County 2000 again, no outline, only fill).  I import

the roads as-needed for some maps I'm drawing for a project, depending on which county I'm working in.

I also have surrounding counties from PA, VA, DE, and WV imported in with similar layers.

I've seen this particular annoyance on QGIS 1.0 and now 1.1, so it seems to be a fundamental flaw in the Windows releases so far.  In

1.0, the bug manifested itself as a graphical "break", kind of like a mirror shattering effect.  Sometimes the program would crash, and

other times, it just got all weird, forcing me to process kill it from the task manager.  In QGIS 1.1, the program immediately crashes. 

Improvement?, I suppose.

Ideally, on Windows, this type of crash should be very infrequent, but it's happened to me 3-4 times today already, which is actually more

times than in QGIS 1.0 on average.

It's hard to give anymore concrete information, as I've only been working with this program for about two weeks now, and I'm not fully

versed in all of its capabilities, and in GIS software in particular.  But if there's any kind of logging I can enable to provide some measure

of debugging, let me know, and I will see what I can do.

History

#1 - 2009-07-26 02:52 AM - Giovanni Manghi

Hi,

I downloaded the Nantucket shapefiles, played around a bit, made a few basic geoprocessing operations and... I cannot replicate (no crashes nor freezes)

the problem using qgis 1.0.2/1.2 installed with yhe Osgeo4w installer and windows Vista 32 bit.

Until we cannot replicate the problem in some way, I will change the priority of this ticket.

As for the other tickets you opened I will advice testing the 1.2 version installed with the osgeo4w installer: there were already many bugs fixed in the

development release that probably will not be backported in the 1.0.x/1.1 releases. Qgis 1.2 will ship pretty soon.
#2 - 2009-07-26 03:19 AM - Giovanni Manghi

PS

a recent thread in the grass-user mailing list remembered me (that I'm not used to 64 bit o.s./applications) that using a 32 bit application on 64 bit o.s. can

be source of (many) problems. I guess that the available qgis binaries are not optimized for 64 bit windows.

If you compile the source code on 64 bit linux systems, qgis works fine, so you may want to try compile qgis on your machine; is not that easy as under

linux but is possible and also documented.

#3 - 2009-07-26 09:27 AM - kumba -

I'm not sure if one set of shapefiles is sufficient to replicate this or not.  Also testing on 32bit might indeed hide the bug.  Vista 64bit crashes usually can be

either random, or they'll sometimes tell you specifically if it was shutdown as part of Vista's Data Execution Protection mechanism (the NX Bit found in all

modern 64bit processors).

The issue is also very random.  I've been able to use the same QGIS instance for several hours everyday for 3-4 days without issue, and then when you

least expect it, the bug will happen.  It's only on QGIS-1.1 that it seems to at least generate an actual crash.  QGIS-1.0 either crashed, or did the weird

graphical "breaking" effect that I described, so it's possible the bug exists somewhere in that component.  I'm not sure if you guys are tapping the hardware

for any rendering support or not, but in 1.0, once the break happened, it messed the entire screen, taskbar included, up, until you task-switched to another

windows application, then everything worked right again, allowing you to terminate QGIS.

I've discovered (the hard way), that any "tricks" used with video memory, like double-buffering in some DivX-based video players on Vista 64bit can cause

DEP to fire to kill the program, because DEP feels that is a malicious behavior from a program.  The cheap workaround is adding the program to the DEP

exception list, usually until the program gets fixed to not require the exception.

Do you guys have any kind of debugging module that can enable logs of some kind for when the program acts up?

#4 - 2009-07-26 09:28 AM - kumba -

Also, try making sure you have the option "Make lines appear less jagged at the expense of some drawing performance", in the options menu on the

"Rendering" tab.  Since I'm seeing this with line selection, maybe this plays into it.

#5 - 2009-07-26 09:39 AM - Giovanni Manghi

Hi again,

using qgis 32 bit on vista 32 bit might hide the bug... or not. It would be indeed better to test a version of qgis compiled against 64bit. I'm almost sure that no

one of the developers do compile on windows 64 bit, so any effort in this sense would be appreciated.

Until then I would ask you to test qgis on other machines with your usual datasets and see if you can replicate the problem in order to exclude issues with

your installation/architecture.

Thanks

#6 - 2009-07-26 01:42 PM - kumba -

Just ran into this again.  Interestingly enough, it did not crash this time.  I played around in what was left of the interface, and noted a few things:
- Layer window still functions, can be moved around and even closed.

- Print Screen button does not function, and will not copy a screenshot into the clipboard.

- Main map window is completely inoperative when this occurs, minimize/maximize operations do nothing, and the taskbar is muddled until you switch

away from the application.  If you switch to another app, then attempt to switch back to QGIS, nothing happens.  The taskbar button is depressed, but no

window updates happen, and graphical drawing artifacts can appear depending on what else you do in the window, however, the map canvas area is able

to be "clicked through" to the underlying windows application, which will switch to it at this point.

I was able to trigger this while zoomed into road-level data of Frederick County, MD, using Tigerline datasets.  The other visible layers were surrounding

counties in MD, WV, and VA (County 2000, Designated Places 2000, and Water polygons), and some custom layers I've created.

The actual trigger was using the select/lasso tool, and I was in the middle of selecting a line element, with rendering on.  It was when I released the mouse

button, triggering the rendering operation to start to display the color of the selected line, that it occurred.  The dotted gray box indicating my selection box

remained partially on the screen at this point, but everything else was blanked then.

I'm going to up this back to critical -- I haven't seen data corruption happen at this point, but I can trigger this pretty consistently it seems.  It is random, but

so far consistent.  Should I try the 1.2 nightlies? (Assuming 1.2 is the nightly stuff you've referenced)

#7 - 2009-07-26 01:46 PM - kumba -

Well, my little bulleted list got muddled there.  Here's a better copy:

    -  Layer window still functions, can be moved around and even closed.

    -  Print Screen button does not function, and will not copy a screenshot into the clipboard.

    -  Main map window is completely inoperative when this occurs, minimize/maximize operations do nothing, and the taskbar is muddled until you switch

away from the application. If you switch to another app, then attempt to switch back to QGIS, nothing happens. The taskbar button is depressed, but no

window updates happen, and graphical drawing artifacts can appear depending on what else you do in the window, however, the map canvas area is able

to be "clicked through" to the underlying windows application, which will switch to it at this point.

#8 - 2009-07-26 01:57 PM - Giovanni Manghi

Replying to [comment:6 kumba]:

Should I try the 1.2 nightlies? (Assuming 1.2 is the nightly stuff you've referenced)

Hi,

try install the qgis-dev version (1.2) using the osgeo4w installer

http://trac.osgeo.org/osgeo4w/

Can you please make me a package with all the layers (beside the custom ones) you are using and make it available for download?

For now I'll leave this ticket as critical, but if in the next days no one will replicate the problem I guess we will have at least to change its priority. In any case

I (again) will suggest to make tests on other pcs/platforms as it really seems a local problem. Maybe is a problem with win 64 bit environments, but again

the actual installers are not optimized for this environment, so I'm not so surprised of what you describes.

If you want you can also compile on your box
it would be very useful.

#9 - 2009-07-26 05:10 PM - kumba -

I gave a shot at setting up a compile environment, but further inspection reveals that may not solve anything.  In addition to getting stuck at libjpeg's

compile phase, I realized that the mingw compiler that is installed is gcc configured for "i686", which is gcc's acronym for 32bit x86.  It'd need to be an

x86_64 target for proper 64bit compiling, and I'm not too keen on trying to battle mingw into that on my Windows platform.

I'll keep plugging away, and if I get an actual crash next time, I'll see if I can get MS to dump crash details somewhere about it.

#10 - 2009-07-26 07:51 PM - kumba -

Murphy is my shadow.  Sitting there selecting roads in a layer for Montgomery County, MD, and I thought "I'll bet it'll crash in a minute".

Crashed on the next road selection.

Other noted oddities:

    -  Bottom status bar appears to still function and update with mouse X/Y coordinates, but it becomes "misplaced", so to speak.

    -  Remained up for several minutes, but as soon as I started to move the mouse around on the screen, Windows finally crashed it.  Problem appears to

be in Qt it looks?  Text of the crash data is below, but it's not much.  Can't work anything out of MS's poor debugging info.

Problem signature:

  Problem Event Name:    APPCRASH

  Application Name:    qgis.exe

  Application Version:    0.0.0.0

  Application Timestamp:    4a020316

  Fault Module Name:    QtGui4.dll

  Fault Module Version:    4.4.3.0

  Fault Module Timestamp:    496534b9

  Exception Code:    40000015

  Exception Offset:    000cbf99

  OS Version:    6.0.6002.2.2.0.274.10

  Locale ID:    1033

  Additional Information 1:    766e

  Additional Information 2:    59e27f7a0dd84b22718abe4d6d8eb445

  Additional Information 3:    2c74

  Additional Information 4:    5cfcea8459f4d4d579b37d7054e1470f

Read our privacy statement:

http://go.microsoft.com/fwlink/?linkid=50163&#38;clcid=0x0409

I will also attach a picture of my screen that I took with my camera.  Print Screen may not function, but Murphy isn't going to stop a camera!

#11 - 2009-07-26 07:52 PM - kumba -

Ah, it seems Trac here dislikes certain kinds of formatting.
Problem signature:

  Problem Event Name:    APPCRASH

  Application Name:    qgis.exe

  Application Version:    0.0.0.0

  Application Timestamp:    4a020316

  Fault Module Name:    QtGui4.dll

  Fault Module Version:    4.4.3.0

  Fault Module Timestamp:    496534b9

  Exception Code:    40000015

  Exception Offset:    000cbf99

  OS Version:    6.0.6002.2.2.0.274.10

  Locale ID:    1033

  Additional Information 1:    766e

  Additional Information 2:    59e27f7a0dd84b22718abe4d6d8eb445

  Additional Information 3:    2c74

  Additional Information 4:    5cfcea8459f4d4d579b37d7054e1470f

Read our privacy statement:

  http://go.microsoft.com/fwlink/?linkid=50163&clcid=0x0409

#12 - 2009-07-26 07:59 PM - kumba -

Now in the attached photo, it's hard to see exactly (because Windows "fades" a crashed application until you kill it), but you can see a line feature

highlighted a shade of purple -- that's the road I had just selected in Montgomery County, MD's roads layer (from Tigerline).  When I went to select the next

section, which is just northwest of the selected section  of that same road (it's the much lighter blue color), that's when the graphical "glitch" happened, and

crashed a few seconds later after I tried fiddling in the GUI some.

#13 - 2009-07-27 01:04 AM - Giovanni Manghi

Replying to [comment:9 kumba]:

In addition to getting stuck at libjpeg's compile phase,

Hi,

you may want to ask in the dev mailing list

I realized that the mingw compiler that is installed is gcc configured for "i686", which is gcc's acronym for 32bit x86.  It'd need to be an x86_64

target for proper 64bit compiling, and I'm not too keen on trying to battle mingw into that on my Windows platform.

this may help?

http://sourceforge.net/projects/mingw-w64/

#14 - 2009-07-29 12:16 PM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Open to Closed
I think that this is invalid: the issue is having 64bit win Vista packages. We can say Vista @ 64 bit is not supported for now

#15 - 2009-08-09 10:03 PM - kumba -

Eh, I can't say I wholly agree with closing it and marking as invalid, but I understand the reasoning.  If Trac has it, something more like Bugzilla's

"RESOLVED::LATER" fits better, as I imagine that in time, someone on the qgis development team will acquire a 64bit Vista, Server 2008, or Win7

install/platform and be able to release a few packages for them after some experimenting.

However, I'll try 1.2 out and see what it does.  1.2 didn't work the last time I tried it (1.2.0-4 I think in the OSGeo4W installer?), as it was unable to load

some kind of DLL on startup.  This appears to be fixed in 1.2.0-12.

#16 - 2009-08-10 01:03 AM - Giovanni Manghi

Hi

I'll try 1.2 out and see what it does.  1.2 didn't work the last time I tried it (1.2.0-4 I think in the OSGeo4W installer?), as it was unable to load some

kind of DLL on startup.  This appears to be fixed in 1.2.0-12.

Please do. And then let us know if it works or not.

Files

20090726_005_sm.jpg 242 KB 2009-07-26 kumba -

2024-04-29 6/6


